RPC.UMNTALL(8)

NAME
rpc.umntall - notify NFS servers about unmounted NFS file systems

SYNOPSIS
rpc.umntall [-e expire] [-h host] [-k] [-p remotepath] [-v]

DESCRIPTION
The rpc.umntall utility is proposed in the NFS RPC specification; see NFS Version 3 Protocol Specification, RFC 1813, Appendix I. It uses remote procedure calls to remove mount entries from /var/db/mountdtab on the remote NFS server. It is called automatically without any parameters during startup and shutdown of the system. This ensures that showmount(8) does not display old and expired entries. The rpc.umntall utility is only needed on client side, where mount_nfs(8) adds a mount entry with the current date to /var/db/mounttab, and umount(8) removes the entry again. The rpc.umntall utility cares about all remaining entries in this table which result from crashes or unproper shutdowns.

The options are as follows:

-e expire
    All entries which are not actually mounted or older than expire (seconds) are removed from /var/db/mounttab. This may be the case for DNS changes or long out of service periods. Default expire time is 86400 seconds (one day).

-h host
    Only remove the specific hostname. Send a UMNTALL RPC to the NFS server.

-k  Keep entries for existing NFS file systems. Compare the NFS file systems from the mounttab against the kernel mountlist and do not send the RPC to existing mount entries. Useful during startup of the system. It may be possible that there are already mounted NFS file systems, so calling RPC UMOUNT is not a good idea. This is the case if the user has rebooted to 'single user mode' and starts up the system again.

-p path
    Only remove the specific mount-path. Send a UMOUNT RPC to the NFS server. This option implies the -host option.

-v  Verbose, additional information is printed for each processed mounttab entry.

FILES
/var/db/mounttab
    mounted nfs-file systems

SEE ALSO
mountd(8), mount_nfs(8), umount(8)

HISTORY
The rpc.umntall utility first appeared in FreeBSD 4.0.

AUTHORS
Martin Blapp <mb@imp.ch>